## ros-kinetic-cob-script-server 0.6.21

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(cob_script_server)

find_package(catkin REQUIRED COMPONENTS actionlib actionlib_msgs message_generation rostest trajectory_msgs)

catkin_python_setup()

### Message Generation ###
add_message_files(
  FILES
  ScriptState.msg
)

add_service_files(
  FILES
  ComposeTrajectory.srv
)

add_action_files(
  FILES
  Script.action
  State.action
)

generate_messages(
  DEPENDENCIES actionlib_msgs trajectory_msgs
)


catkin_package(
  CATKIN_DEPENDS actionlib actionlib_msgs message_runtime trajectory_msgs
)

### Install ###
install(DIRECTORY launch
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

install(PROGRAMS src/cob_console
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)
catkin_install_python(PROGRAMS src/cob_console_node src/script_server.py
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

catkin_install_python(PROGRAMS test/test_action_interface.py test/test_move.py test/test_python_api.py test/test_say.py test/test_trigger.py
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

=== debian/changelog ===
ros-kinetic-cob-script-server (0.6.21-2xenial) xenial; urgency=high

  * Merge pull request #300 <https://github.com/ipa320/cob_command_tools/issues/300> from fmessmer/sss_improvements
    harmonize joint_states subscription
  * configurable joint_state_topic
  * harmonize joint_states subscription
  * Merge pull request #298 <https://github.com/ipa320/cob_command_tools/issues/298> from fmessmer/fix/python3_cob_console
    cob_console for dual-distro ipython
  * cob_console for dual-distro ipython
  * Contributors: Felix Messmer, fmessmer

 -- Felix Messmer <felixmessmer@gmail.com>  Mon, 05 Apr 2021 22:00:00 -0000

ros-kinetic-cob-script-server (0.6.20-2xenial) xenial; urgency=high

  * Merge pull request #291 <https://github.com/ipa320/cob_command_tools/issues/291> from fmessmer/fix_python3
    fix python3
  * import itertools.izip as zip for python3-compatibility
  * Contributors: Felix Messmer, fmessmer

 -- Felix Messmer <felixmessmer@gmail.com>  Sun, 24 Jan 2021 23:00:00 -0000

ros-kinetic-cob-script-server (0.6.19-2xenial) xenial; urgency=high

  * Merge pull request #287 <https://github.com/ipa320/cob_command_tools/issues/287> from fmessmer/fix_catkin_lint
    fix catkin_lint
  * fix catkin_lint
  * Contributors: Felix Messmer, fmessmer

 -- Felix Messmer <felixmessmer@gmail.com>  Tue, 01 Dec 2020 23:00:00 -0000

ros-kinetic-cob-script-server (0.6.18-2xenial) xenial; urgency=high

  * Merge pull request #286 <https://github.com/ipa320/cob_command_tools/issues/286> from fmessmer/fix_noetic
    fix noetic
  * ROS_PYTHON_VERSION conditional dependency for pygraphviz
  * ROS_PYTHON_VERSION conditional dependency for ipython
  * Contributors: Felix Messmer, fmessmer

 -- Felix Messmer <felixmessmer@gmail.com>  Tue, 20 Oct 2020 22:00:00 -0000

ros-kinetic-cob-script-server (0.6.17-2xenial) xenial; urgency=high

  * Merge pull request #284 <https://github.com/ipa320/cob_command_tools/issues/284> from fmessmer/test_noetic
    test noetic
  * use setuptools instead of distutils
  * Bump CMake version to avoid CMP0048 warning
  * Merge pull request #282 <https://github.com/ipa320/cob_command_tools/issues/282> from floweisshardt/fix/actionlib_state
    fix actionlib state handling for non initialized action clients
  * use GoalStatus message import only
  * use GoalStatus enum explicitly
  * fix actionlib state handling for non initialized action clients
  * Contributors: Felix Messmer, floweisshardt, fmessmer

 -- Felix Messmer <felixmessmer@gmail.com>  Fri, 16 Oct 2020 22:00:00 -0000

ros-kinetic-cob-script-server (0.6.16-2xenial) xenial; urgency=high

  * Merge pull request #280 <https://github.com/ipa320/cob_command_tools/issues/280> from fmessmer/fix/init_urdf_structure
    initialize urdf structure only once during init
  * initialize urdf structure only once during init
  * Merge pull request #270 <https://github.com/ipa320/cob_command_tools/issues/270> from LoyVanBeek/feature/python3_compatibility
    [ci_updates] pylint + Python3 compatibility
  * Use six to handle input vs raw_input
  * cleanup cob_script_server
  * fix more pylint errors
  * use threading
  * fix pylint errors
  * python3 compatibility via 2to3
  * Merge pull request #273 <https://github.com/ipa320/cob_command_tools/issues/273> from floweisshardt/fix/move_base_without_global_map
    publish move_base goal without global /map
  * publish move_base goal without global /map
  * Merge pull request #271 <https://github.com/ipa320/cob_command_tools/issues/271> from fmessmer/ci_updates
    [travis] ci updates
  * catkin_lint fixes
  * Merge pull request #260 <https://github.com/ipa320/cob_command_tools/issues/260> from fmessmer/feature/calculate_traj_point_velocities
    proper traj velocity calculation
  * add opt-out stop_at_waypoints
  * use logdebug for debug output
  * fix trajectory point velocity calculation
  * drop start after time calculation
  * filter duplicate or close configs in trajectory
  * fix array type
  * set accelerations to 0.0
  * not use min_point_time 0.4
  * drop first traj point if close to start_pos
  * improve debug output
  * remove hardcoded point velocities and accelerations
  * add debug output
  * epsilon check and elementwise zero-velocity
  * proper traj velocity calculation
  * Merge pull request #264 <https://github.com/ipa320/cob_command_tools/issues/264> from fmessmer/fix/robot_description_ns
    fix robot_description namespace handling
  * fix robot_description namespace handling
  * Merge pull request #259 <https://github.com/ipa320/cob_command_tools/issues/259> from LoyVanBeek/feature/faster_sss_trajectories
    Feature/faster sss trajectories
  * fix log formatting
  * explicit robot_description key
  * Move all code to determine the desired velocity to a private method
    Code to determine this got too big to contain all the various branches and edge cases
  * Fix undeclared variable
  * feature/calculate traj point velocities (#1 <https://github.com/ipa320/cob_command_tools/issues/1>)
    feature/calculate traj point velocities
  * fix error case velocities zero or negative
  * fixup acc default value
  * fixup variable name
  * fixup limit_vel and add debug output
  * add vel_limit check
  * return failure on invalid arguments
  * expose arguments to move_rel
  * allow to pass default_vel via sss argument
  * allow setting default_vel and default_acc per joint as list of float/int via yaml
  * Rename d_max to dist
  * Optionally use the URDF-derived velocities
  * Extend sss.move with a speed_factor to speed up movements
  * fixup! Iterate over all joints to calculate_point_time and take the  slowest time for all joints
  * Get joint velocity from URDF in compose_trajectory
  * Iterate over all joints to calculate_point_time and take the  slowest time for all joints
    Earlier only 1 joint velocity and acceleration was used.
    TOOD: Read velocity (and acceleration?) from URDF


=== debian/control ===
Source: ros-kinetic-cob-script-server
Section: misc
Priority: optional
Maintainer: Felix Messmer <felixmessmer@gmail.com>
Build-Depends: debhelper (>= 9.0.0), python-setuptools, ros-kinetic-actionlib, ros-kinetic-actionlib-msgs, ros-kinetic-catkin, ros-kinetic-message-generation, ros-kinetic-rostest, ros-kinetic-trajectory-msgs
Homepage: http://ros.org/wiki/cob_script_server
Standards-Version: 3.9.2

Package: ros-kinetic-cob-script-server
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ipython, python-pygraphviz, python-six, ros-kinetic-actionlib, ros-kinetic-actionlib-msgs, ros-kinetic-cob-actions, ros-kinetic-cob-light, ros-kinetic-cob-mimic, ros-kinetic-cob-sound, ros-kinetic-control-msgs, ros-kinetic-geometry-msgs, ros-kinetic-message-runtime, ros-kinetic-move-base-msgs, ros-kinetic-rospy, ros-kinetic-rostest, ros-kinetic-std-msgs, ros-kinetic-std-srvs, ros-kinetic-tf, ros-kinetic-trajectory-msgs, ros-kinetic-urdfdom-py
Description: The cob_script_server package provides a simple interface to operate Care-O-bot.
 It can be used via the python API or the actionlib interface.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-cob-script-server//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
